Subject: bug#13848: Statically linking guile-2.0.

From: [email-masked]
Date: Mon, 11 Mar 2013 01:07:08 +0100

It does get faster with time on windows too, yes, but it is overall about 3 times slower than linux compiles. But that's true for all the compiling I do on windows. Even VC projects tend to really slow compared to what I see on Linux (it is the same machine in dual boot). My guess is that this is primarily for IO reasons. There are a lot more tricks like pipes and the like that gcc and make can use on true posix systems.

I will try the new tar ball right now. You'll hear from me.

Regards

Jan Schukat

On 10.03.2013, at 23:53, Andy Wingo <[email-masked]> wrote:

> On Sun 10 Mar 2013 23:03, [email-masked] writes:
> 
>> Ok, came pretty far, but then, during the GUILEC phase it started
>> complaining that "poll" is not available, poll.go was't created then,
>> and finally it failed to install poll.go
> 
> Strange.  There are a few ways to work around this I guess but I ended
> up importing the gnulib `poll' module, which will provide `poll' on
> mingw.
> 
> Here's a new tarball:
> 
>  http://wingolog.org/priv/guile-2.0.7.187-b5870.tar.gz
> 
> I wonder about your compile slowness.  Could it be that somehow Guile is
> not using the .go files that it is compiling?  Normally the compile
> should be slow at the beginning, but as the bootstrap progresses, things
> speed up.  I'm sure you've seen that when building on GNU/Linux.  Do you
> not see that on your mingw build?
> 
> It sounds like we're getting really close :)
> 
> Andy
> -- 
> http://wingolog.org/